org.apache.ignite.internal.processors.pool

## Class PoolProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.pool.PoolProcessor

All Implemented Interfaces:
  GridComponent, GridProcessor

    public class PoolProcessor
    extends GridProcessorAdapter

Processor which abstracts out thread pool management.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, diagnosticLog, log`

### Constructor Summary

Constructors
Constructor and Description
`PoolProcessor(GridKernalContext ctx)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable Executor` `customExecutor(String name)` Gets executor service for custom policy by executor name.
`Executor` `p2pPool()`
`Executor` `poolForPolicy(byte plc)` Get executor service for policy.
`void` `stop(boolean cancel)` Stops grid component.

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, toString, validateNode, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PoolProcessor

    public PoolProcessor(GridKernalContext ctx)

Constructor.

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### stop

    public void stop(boolean cancel)
              throws IgniteCheckedException

Stops grid component.

Specified by:
  `stop` in interface `GridComponent`
Overrides:
  `stop` in class `GridProcessorAdapter`
Parameters:
  `cancel` - If `true`, then all ongoing tasks or jobs for relevant components need to be cancelled.
Throws:
  `IgniteCheckedException` - Thrown in case of any errors.

#### p2pPool

    public Executor p2pPool()

Returns:
  P2P pool.

#### poolForPolicy

    public Executor poolForPolicy(byte plc)
                           throws IgniteCheckedException

Get executor service for policy.

Parameters:
  `plc` - Policy.
Returns:
  Executor service.
Throws:
  `IgniteCheckedException` - If failed.

#### customExecutor

    @Nullable
    public @Nullable Executor customExecutor(String name)

Gets executor service for custom policy by executor name.

Parameters:
  `name` - Executor name.
Returns:
  Executor service.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021